Bulk upsert signal-to-metrics configs
/api/import/signal-to-metricsAtomically upserts up to 500 signal-to-metrics configurations at once. If any item fails validation or cannot be written, the entire batch is rejected and no configurations are changed.
This endpoint is designed for Infrastructure-as-Code (IaC) workflows (Terraform,
the operator, CLI scripts). Rules are matched by their origin values across
repeated invocations, making the operation idempotent.
This endpoint accepts request bodies up to 2 MB (vs. the 256 KB default for other endpoints) to accommodate batched payloads of up to 500 rules per request.
Parameters 1
datasetqueryrequiredThe dataset to deploy rules into. Required to prevent accidental deployment to the wrong dataset.
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
"^[a-zA-Z0-9_-]{3,26}$"Sample request123456789101112131415161718192021222324252627282930313233curl --request PUT 'https://api.eu-west-1.aws.dash0.com/api/import/signal-to-metrics?dataset=default' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \--header 'Content-Type: application/json' \--data-raw '{"items": [{"kind": "Dash0SignalToMetrics","metadata": {"name": "Example"},"spec": {"enabled": true,"display": {"name": "Example"},"match": {"signal": "spans","filters": [{"key": "service.name","operator": "is","value": "shop"}]},"output": {"name": "Example","interval": "1m"}}}]}'
Request body required
Responses
All items were successfully upserted.
Number of rules that were newly created.
Number of rules that were updated.